import type { FastifyReply } from 'fastify'

import { isProduction } from '@redwoodjs/api/logger'

export const setCorsHeaders = (res: FastifyReply) => {
  res.raw.setHeader(
    'Access-Control-Allow-Origin',
    isProduction ? process.env.ADDRESS_PROD : process.env.ADDRESS_DEV
  )
  res.raw.setHeader(
    'Access-Control-Allow-Methods',
    'GET, POST, OPTIONS, PATCH, HEAD'
  )
  res.raw.setHeader(
    'Access-Control-Allow-Headers',
    'Origin, X-Requested-With, Content-Type, Accept, Authorization, Tus-Resumable, Upload-Length, Upload-Metadata, Upload-Offset'
  )
  res.raw.setHeader('Access-Control-Allow-Credentials', 'true')
}
