import type { FindResume, FindResumeVariables } from 'types/graphql'

import type {
  CellSuccessProps,
  CellFailureProps,
  TypedDocumentNode,
} from '@redwoodjs/web'

import CellEmpty from 'src/components/Cell/CellEmpty/CellEmpty'
import CellFailure from 'src/components/Cell/CellFailure/CellFailure'
import CellLoading from 'src/components/Cell/CellLoading/CellLoading'
import Resume from 'src/components/Resume/Resume/Resume'

export const QUERY: TypedDocumentNode<FindResume, FindResumeVariables> = gql`
  query FindResume {
    resume {
      id
      fileId
    }
  }
`

export const Loading = () => <CellLoading />
export const Empty = () => <CellEmpty />
export const Failure = ({ error }: CellFailureProps<FindResumeVariables>) => (
  <CellFailure error={error} />
)

export const Success = ({
  resume,
}: CellSuccessProps<FindResume, FindResumeVariables>) => (
  <Resume resume={resume} />
)
